$kind: http-request
url: "{{Local_URL}}purchases/samples"
method: POST
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "{\r

    \r

    \  \"item_id\": \"58d8cd0b-b273-4dfd-8ce0-895426dd7964\",//default item\r

    \  \"date_taken\": \"2026-02-16\",//Default to today\r

    \  \"sample_quantity\": 500.00,\r

    \  \"sample_uom_id\": \"84c3302e-c6ec-4021-ad98-78adbd024b59\",\r

    \  //\"picked_by\": \"3b7e2d90-1c4f-4c88-9a22-6f1a5d3e8b44\",//Default to
    login user\r

    \  \"units\": 10,\r

    \  \"unit_uom_id\": \"311d521d-d09c-4016-bba3-16f1b2ff7f1c\",\r

    \r

    \  \"sample_round\": 1,//nullable defaults to 1\r

    \  \"notes\": \"Initial supplier delivery sample.\",//nullable\r

    \    \r

    \   // \"supplier_id\":\"\", //Nullable, Provide an option to select
    existing suppliers, sort of a checkbox for them to make choice if new
    collect the records below\r

    \  \"supplier_name\":\"Alfred Mugoya\",\r

    \  \"phone\":\"0702771124\",\r

    \  \"email\":\"mplat84@gmail.com\",//nullable\r

    \  \"address\":\"Mbale\"//nullable\r

    }\r\n"
auth:
  type: bearer
  credentials:
    token: "{{ERP_Local_Token}}"
order: 4000
